> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/59.-dotaz-ziskat-asapplieddatasets.md).

# 59. Dotaz: Získat „AsAppliedDatasets“

Získat dataset se skutečně aplikovanými dávkami nebo dataset s osivem

Získejte všechna "AsAppliedDatasets" pro vybrané "Field". Datové sady lze načíst pomocí obecných GraphQL dotazů jako `getFarms` a `getFields` z připojeného "Field".&#x20;

{% hint style="warning" %}
"AsAppliedDataset" musí být nahrán předem.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid 
    název
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets {
        uuid 
        název
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributů
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #správný lidsky čitelný název
          unit#jednotky měření
        }

        usedMachines { #použité stroje
          id
          serial
          operatorId
        } 

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationId
        operationType
        operationFileDate #datum a čas vytvoření souboru pocházejí z metainformací 
        operationStartDate #začátek operace pochází z metainformací
        
        statistics { #rozdělení statistik pro každý atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetAsAppliedDatasetsViaGetFields { 
  ziskejPozemky (filtr: {uuidPozemku: "<placeholder_of_field_uuid>"}) { 
    fields { 
      uuid
      area(unit: HECTARES) 
      asAppliedDatasets(asAppliedDatasetUuids: ["placeholder_of_dataset_uuid"]) { 
        uuid 
        název
        number #celkový počet geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)
  
        atributů
        
        fullAttributes { #úplné informace pro každý atribut
          name #odkaz na statistiky >> atribut
          transliteratedName
          fullName #správný lidsky čitelný název
          unit#jednotky měření
        }

        usedMachines { #použité stroje
          id
          serial
          operatorId
        } 

        createdDate #datum a čas vytvoření entity v GeoPard
        updatedDate #datum a čas poslední aktualizace
        operationId
        operationType
        operationFileDate #datum a čas vytvoření souboru pocházejí z metainformací 
        operationStartDate #začátek operace pochází z metainformací
        
        statistics { #rozdělení statistik pro každý atribut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          krátkýNázev
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/dokumentace-api/prehled-pozadavku-geopard-api/59.-dotaz-ziskat-asapplieddatasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
